Package org.apache.sysds.runtime.compress.colgroup.dictionary

## Class DeltaDictionary

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.dictionary.ADictionary
  - - org.apache.sysds.runtime.compress.colgroup.dictionary.Dictionary
    - - org.apache.sysds.runtime.compress.colgroup.dictionary.DeltaDictionary

- All Implemented Interfaces:
    `Serializable`

      public class DeltaDictionary
      extends Dictionary

  This dictionary class is a specialization for the DeltaDDCColgroup. Here the adjustments for operations for the delta encoded values are implemented.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeltaDictionary​(double[] values, int numCols)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DeltaDictionary` | `applyScalarOp​(ScalarOperator op)` | Allocate a new dictionary and applies the scalar operation on each cell of the to then return the new dictionary.

    - ### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.dictionary.Dictionary

      `addToEntry, addToEntry, addToEntryVectorized, aggregate, aggregateCols, aggregateColsWithReference, aggregateRows, aggregateRowsWithDefault, aggregateRowsWithReference, aggregateWithReference, applyScalarOpWithReference, applyUnaryOp, applyUnaryOpWithReference, binOpLeft, binOpLeftWithReference, binOpRight, binOpRight, binOpRightWithReference, centralMoment, centralMomentWithReference, clone, colSum, colSumSq, colSumSqWithReference, containsValue, containsValueWithReference, getExactSizeOnDisk, getInMemorySize, getMBDict, getNumberNonZeros, getNumberNonZerosWithReference, getNumberOfValues, getSparsity, getString, getValue, getValues, inplaceScalarOp, isLossy, multiplyScalar, preaggValuesFromDense, product, productWithDefault, productWithReference, read, replace, replaceWithReference, rexpandCols, rexpandColsWithReference, scaleTuples, sliceOutColumnRange, subtractTuple, sum, sumAllRowsToDouble, sumAllRowsToDoubleSq, sumAllRowsToDoubleSqWithDefault, sumAllRowsToDoubleSqWithReference, sumAllRowsToDoubleWithDefault, sumAllRowsToDoubleWithReference, sumRowWithReference, sumSq, sumSqWithReference, toString, write`

    - ### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.dictionary.ADictionary

      `centralMoment, centralMomentWithReference, colProduct`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeltaDictionary

          public DeltaDictionary​(double[] values,
                                 int numCols)

  - ### Method Detail

    - #### applyScalarOp

          public DeltaDictionary applyScalarOp​(ScalarOperator op)

      Description copied from class: `ADictionary`
      Allocate a new dictionary and applies the scalar operation on each cell of the to then return the new dictionary.
      Overrides:
        `applyScalarOp` in class `Dictionary`
      Parameters:
        `op` - The operator.
      Returns:
        The new dictionary to return.